import { NetworkAdapter } from './NetworkAdapter';
export declare class RemoteAdapter extends NetworkAdapter {
    /**
     * @internal
     */
    readonly type: string;
    private sources;
    private sourcesById;
    private _hosts;
    constructor(hosts?: Map<string, string>);
    get hosts(): Map<string, string>;
    set hosts(val: Map<string, string>);
    clearCache(): void;
    canRead(): boolean;
    readAsync(corpusPath: string): Promise<string>;
    createAdapterPath(corpusPath: string): string;
    createCorpusPath(adapterPath: string): string;
    private getGuid;
    fetchConfig(): string;
    updateConfig(config: string): void;
    private getOrRegisterHostInfo;
    private getUrlConfig;
}
